Search for persons
curl --request GET \
--url https://api.extole.io/v5/persons \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"identity_id": "<string>",
"identity_key": {
"name": "<string>"
},
"identity_key_value": "<string>",
"locale": {
"last_browser": "<string>",
"user_specified": "<string>"
},
"version": "<string>"
}
]
Persons
Search for persons
Searches for persons by identity key value or client-defined person keys (supply in name:value format, e.g. partner_conversion_id:abc123). Returns an array because the same key may resolve to multiple Extole profiles. Supply at least one search criterion via query parameters.
GET
https://api.extole.io
/
v5
/
persons
Search for persons
Authorizations
HEADERQUERYCOOKIE
Query Parameters
Response
Successful response
Extole-assigned unique identifier for this person.
Identifier within the identity store that represents this person's merged profile.
Name of the identity key this client uses to identify persons, for example email or phone.
Show child attributes
Show child attributes
Value of the identity key for this person.
Show child attributes
Show child attributes
Optimistic-concurrency version token for the person record.
